package cn.com.qmth.examcloud.core.oe.admin.service.util;

import cn.com.qmth.examcloud.core.oe.admin.service.bean.exporttask.ExportTask;

import java.util.concurrent.locks.ReentrantLock;

public class AsyncExportConcurrentUtil {

    private static Boolean taskThreadInit = false;

    private static ReentrantLock checkTaskThreadInitLock = new ReentrantLock();

    public static void checkOrStartJob() {
        if (taskThreadInit) {
            return;
        }

        try {
            checkTaskThreadInitLock.lock();
            if (!taskThreadInit) {
                taskThreadInit = true;
                new ExportTask().start();
            }
        } finally {
            if (checkTaskThreadInitLock.isLocked()) {
                checkTaskThreadInitLock.unlock();
            }
        }
    }

}
